## org.eclipse.datatools.connectivity.sqm.core.definition
Class EngineeringOptionID

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.definition.EngineeringOptionID

Direct Known Subclasses:
  SybaseEngineeringOptionID

    public class EngineeringOptionID

extends java.lang.Object

Field Summary
`static int` `CHECK_CONSTRAINT`
`static int` `DATABASE`
`static int` `FOREIGN_KEY`
`static java.lang.String` `GENERATE_ASSERTIONS`
`static java.lang.String` `GENERATE_CK_CONSTRAINTS`
`static java.lang.String` `GENERATE_COMMENTS`
`static java.lang.String` `GENERATE_CREATE_STATEMENTS`
`static java.lang.String` `GENERATE_DATABASE`
`static java.lang.String` `GENERATE_DROP_STATEMENTS`
`static java.lang.String` `GENERATE_FK_CONSTRAINTS`
`static java.lang.String` `GENERATE_FULLY_QUALIFIED_NAME`
`static java.lang.String` `GENERATE_FUNCTIONS`
`static java.lang.String` `GENERATE_INDICES`
`static java.lang.String` `GENERATE_PK_CONSTRAINTS`
`static java.lang.String` `GENERATE_QUOTED_IDENTIFIER`
`static java.lang.String` `GENERATE_SCHEMAS`
`static java.lang.String` `GENERATE_SEQUENCES`
`static java.lang.String` `GENERATE_STOREDPROCEDURES`
`static java.lang.String` `GENERATE_TABLES`
`static java.lang.String` `GENERATE_TRIGGERS`
`static java.lang.String` `GENERATE_USER_DEFINED_TYPE`
`static java.lang.String` `GENERATE_VIEWS`
`static int` `INDEX`
`static int` `PROCEDURE`
`static int` `SCHEMA`
`static int` `SEQUENCE`
`static int` `TABLE`
`static int` `TRIGGER`
`static int` `UNIQUE_CONSTRAINT`
`static int` `USER_DEFINED_FUNCTION`
`static int` `USER_DEFINED_TYPE`
`static int` `VIEW`

Constructor Summary
`EngineeringOptionID()`

Method Summary
`static boolean` `getOptionValue(java.lang.String optionName, EngineeringOption[] options)`
`static boolean` `getOptionValueByID(java.lang.String optionID, EngineeringOption[] options)`
`static boolean` `setOptionValueByID(java.lang.String optionID, EngineeringOption[] options, boolean value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERATE_FULLY_QUALIFIED_NAME

    public static final java.lang.String GENERATE_FULLY_QUALIFIED_NAME

See Also:
  Constant Field Values

### GENERATE_QUOTED_IDENTIFIER

    public static final java.lang.String GENERATE_QUOTED_IDENTIFIER

See Also:
  Constant Field Values

### GENERATE_DROP_STATEMENTS

    public static final java.lang.String GENERATE_DROP_STATEMENTS

See Also:
  Constant Field Values

### GENERATE_CREATE_STATEMENTS

    public static final java.lang.String GENERATE_CREATE_STATEMENTS

See Also:
  Constant Field Values

### GENERATE_COMMENTS

    public static final java.lang.String GENERATE_COMMENTS

See Also:
  Constant Field Values

### GENERATE_DATABASE

    public static final java.lang.String GENERATE_DATABASE

See Also:
  Constant Field Values

### GENERATE_SCHEMAS

    public static final java.lang.String GENERATE_SCHEMAS

See Also:
  Constant Field Values

### GENERATE_TABLES

    public static final java.lang.String GENERATE_TABLES

See Also:
  Constant Field Values

### GENERATE_INDICES

    public static final java.lang.String GENERATE_INDICES

See Also:
  Constant Field Values

### GENERATE_STOREDPROCEDURES

    public static final java.lang.String GENERATE_STOREDPROCEDURES

See Also:
  Constant Field Values

### GENERATE_FUNCTIONS

    public static final java.lang.String GENERATE_FUNCTIONS

See Also:
  Constant Field Values

### GENERATE_VIEWS

    public static final java.lang.String GENERATE_VIEWS

See Also:
  Constant Field Values

### GENERATE_TRIGGERS

    public static final java.lang.String GENERATE_TRIGGERS

See Also:
  Constant Field Values

### GENERATE_SEQUENCES

    public static final java.lang.String GENERATE_SEQUENCES

See Also:
  Constant Field Values

### GENERATE_USER_DEFINED_TYPE

    public static final java.lang.String GENERATE_USER_DEFINED_TYPE

See Also:
  Constant Field Values

### GENERATE_PK_CONSTRAINTS

    public static final java.lang.String GENERATE_PK_CONSTRAINTS

See Also:
  Constant Field Values

### GENERATE_FK_CONSTRAINTS

    public static final java.lang.String GENERATE_FK_CONSTRAINTS

See Also:
  Constant Field Values

### GENERATE_CK_CONSTRAINTS

    public static final java.lang.String GENERATE_CK_CONSTRAINTS

See Also:
  Constant Field Values

### GENERATE_ASSERTIONS

    public static final java.lang.String GENERATE_ASSERTIONS

See Also:
  Constant Field Values

### DATABASE

    public static final int DATABASE

See Also:
  Constant Field Values

### SCHEMA

    public static final int SCHEMA

See Also:
  Constant Field Values

### TABLE

    public static final int TABLE

See Also:
  Constant Field Values

### PROCEDURE

    public static final int PROCEDURE

See Also:
  Constant Field Values

### USER_DEFINED_FUNCTION

    public static final int USER_DEFINED_FUNCTION

See Also:
  Constant Field Values

### VIEW

    public static final int VIEW

See Also:
  Constant Field Values

### TRIGGER

    public static final int TRIGGER

See Also:
  Constant Field Values

### INDEX

    public static final int INDEX

See Also:
  Constant Field Values

### SEQUENCE

    public static final int SEQUENCE

See Also:
  Constant Field Values

### USER_DEFINED_TYPE

    public static final int USER_DEFINED_TYPE

See Also:
  Constant Field Values

### UNIQUE_CONSTRAINT

    public static final int UNIQUE_CONSTRAINT

See Also:
  Constant Field Values

### FOREIGN_KEY

    public static final int FOREIGN_KEY

See Also:
  Constant Field Values

### CHECK_CONSTRAINT

    public static final int CHECK_CONSTRAINT

See Also:
  Constant Field Values

Constructor Detail

### EngineeringOptionID

    public EngineeringOptionID()

Method Detail

### getOptionValue

    public static boolean getOptionValue(java.lang.String optionName,
                                         EngineeringOption[] options)

### getOptionValueByID

    public static boolean getOptionValueByID(java.lang.String optionID,
                                             EngineeringOption[] options)

### setOptionValueByID

    public static boolean setOptionValueByID(java.lang.String optionID,
                                             EngineeringOption[] options,
                                             boolean value)